ansichtsfenster / Lisp
fca_mi2 13. Apr. 2005, 09:56

hi,

ich möchte mittels lisp ein ansichtsfenster erstellen.

ich möchte im modellbereich den ausschnitt wählen und im layout soll ein ansichtsfenster bei vorgegebenen maßstab exakt den ausschnitt darstellen.

weiß jemand , wie ich da am besten rangehe ?
danke

fca_mi2 13. Apr. 2005, 11:03

mit entmake klappt es irgendwie nicht :

  (entmake
    (list
      '(0 . "VIEWPORT")
      '(100 . "AcDbEntity")
      '(100 . "AcDbViewport")
      '(8 . "fc_detail")
      (cons 10 (trans (list (car dp) (cadr dp) (caddr dp)) 1 0))
      (cons 40 (* breite (/ 1000 maßstab)))
      (cons 41 (* hoehe (/ 1000 maßstab)))     
      (cons 17 (trans (list (+ (nth 0 ep) (/ breite 2)) (+ (nth 1 ep) (/ hoehe 2))) 1 0))
    ));entmake

CADmium 13. Apr. 2005, 11:10

Die Suche liefert das